API ReferenceMissing Info Mailer API
Pub/Sub push callback for queued email sends
POST
/webhooks/email-sendingInternal endpoint called by the email-sending Pub/Sub push subscription. It decodes the Pub/Sub envelope, sends the email through SES, and updates the corresponding communication activity.
Authorization
pubsubOidc AuthorizationBearer <token>
Google Pub/Sub push OIDC token validated against PUBSUB_PUSH_AUDIENCE.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/webhooks/email-sending" \ -H "Content-Type: application/json" \ -d '{ "message": { "data": "string" } }'{ "status": "ok", "reason": "string"}{ "detail": "string"}{ "detail": "string"}